#pragma once
#include "IntProperty.h"

using namespace System;
using namespace System::Runtime::InteropServices;

namespace NDTS
{
	namespace Managed
	{
		namespace SCO
		{
			public ref class EnumProperty : IntProperty
			{
			public:
				EnumProperty();
				~EnumProperty();

				String ^getEnumStringByIndex(int index);
				int getNumberOfEnumStrings();
			};
		}
	}
}
